org.apache.fop.hyphenation

## Class Hyphen

- java.lang.Object
- - org.apache.fop.hyphenation.Hyphen

All Implemented Interfaces:
  Serializable

    public class Hyphen
    extends Object
    implements Serializable

Represents a hyphen.

See Also:
  Serialized Form

### Field Summary

Fields
`String` `noBreak` no break string
`String` `postBreak` post break string
`String` `preBreak` pre break string

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### preBreak

    public String preBreak

pre break string

#### noBreak

    public String noBreak

no break string

#### postBreak

    public String postBreak

post break string

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`